/***************************************************************************
 *   Copyright (C) 2005 by s4kk3                                           *
 *   s4kk33@gmail.com                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DIALOG_HH
#define DIALOG_HH

#include "mainwindow.h"

namespace Dialog
{
	void noPermissions		( const std::string& path );
	void executableNotFound		( const std::string& executable);
	void dialogWithTextEntry	( const std::string& title, const std::string& content );
	
	std::string setDefaultRunAction	( const std::string& mime, const std::string& homeDir );
	std::string createNewFuncDialog	( const std::string& lab, const std::string& name, 
					const std::string& text, const std::string& currentDir, 
					bool prependPath );

	bool fileExists		( const std::string& name );
	bool confirmDialog	( const std::string& title,	const std::string& content );
};
#endif
