/***************************************************************************
 *   Copyright (C) 2005 by s4kk3                                           *
 *   s4kk33@gmail.com                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GET_HH
#define GET_HH

#include "mainwindow.h"

namespace Get
{	
	std::string	getString			( int );
	std::string	getTime			( int seconds );
	std::string	getUser			( guint uid );
	std::string	getGroup 		( guint gid );
	std::string	getParentMime	( const std::string& mime );
	std::string	getSubMime		( const std::string& mime );
	
	const char	*getSize			( double size );
	const char	*getUtf8			( const std::string& text );
	
	int	getDirTotal				( const std::string& path );
	
	double	getFileSize			( const std::string& path );
	double	getFolderSize			( const std::string& path );

#if ENABLE_EXIF
	 std::list<std::string>	getExifData		( const std::string& file );
#endif

};
#endif
